Subject: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: Dmitry Gutov <[email-masked]>
Date: Tue, 15 Jan 2013 02:22:18 +0400

On 14.01.2013 21:02, Eli Zaretskii wrote:
>> Date: Mon, 14 Jan 2013 18:57:43 +0400
>> From: Dmitry Gutov <[email-masked]>
>> Cc: [email-masked]
>>
>> Bisect points to revision 110875
>> ([email-masked]):
>> Fix a race with verify-visited-file-modtime.
>>
>> Since at least 1991 Emacs has ignored an mtime difference of no
>> more than one second, but my guess is that this was to work around
>> file system bugs that were fixed long ago.  Since the race is
>> causing problems now, let's remove that code.
>> * fileio.c (Fverify_visited_file_modtime): Do not accept a file
>> whose time stamp is off by no more than a second.  Insist that the
>> file time stamps match exactly.
>
> Therefore, I doubt that the same problem was the root cause of the
> problem on Drew's laptop.

It hard for me to say, but the symptoms are similar, and the timing 
matches. I think this commit is the likely culprit, although the fix may 
have to be slightly different in Drew's case. Or would be, if we could 
reproduce it.

>> Paul, any suggestions?
>
> I'm not Paul, but can't you synchronize the clocks of the two
> machines?

To the nanosecond? I'm not sure if I can.

But if what you're implying is right, I think rewinding the clock on the 
host machine would also help. It doesn't.